OpenTTD Source: TCPQueryConnecter Class Reference

OpenTTD Source 13.2.1

Public Member Functions | Private Attributes
TCPQueryConnecter Class Reference

Non blocking connection to query servers for their game info. More...

Inheritance diagram for TCPQueryConnecter:

## Public Member Functions
| TCPQueryConnecter (const std::string &connection_string)
void | OnFailure () override
| Callback for when the connection attempt failed.
void | OnConnect (SOCKET s) override
| Callback when the connection succeeded. More...

## Private Attributes
std::string | connection_string
Private Attributes inherited from TCPServerConnecter
ServerAddress | server_address
| Address we are connecting to.

## Additional Inherited Members
Private Member Functions inherited from TCPServerConnecter
| TCPServerConnecter (const std::string &connection_string, uint16 default_port)
| Create a new connecter for the server. More...
void | SetConnected (SOCKET sock)
| The connection was successfully established. More...
void | SetFailure ()
| The connection couldn't be established.
Private Member Functions inherited from TCPConnecter
| TCPConnecter (const std::string &connection_string, uint16 default_port, NetworkAddress bind_address={}, int family=AF_UNSPEC)
| Create a new connecter for the given address. More...
void | Kill ()
| Kill this connecter. More...
Static Private Member Functions inherited from TCPConnecter
static void | CheckCallbacks ()
| Check whether we need to call the callback, i.e. More...
static void | KillAll ()
| Kill all connection attempts.

## Detailed Description

Non blocking connection to query servers for their game info.

Definition at line 629 of file network.cpp.

## Member Function Documentation

## ◆ OnConnect()

void TCPQueryConnecter::OnConnect | ( | SOCKET | s | ) |
| inlineoverridevirtual

Callback when the connection succeeded.

Parameters

  s | the socket that we opened

Reimplemented from TCPConnecter.

Definition at line 645 of file network.cpp.

References QueryNetworkGameSocketHandler::QueryServer().

The documentation for this class was generated from the following file:

- src/network/network.cpp